DbEnv::get_mp_mmapsize()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbEnv::get_mp_mmapsize()

    #include <db_cxx.h>

    int
    DbEnv::get_mp_mmapsize(size_t *mp_mmapsizep);

The `DbEnv::get_mp_mmapsize()` method returns the the maximum file size, in bytes, for a file to be mapped into the process address space. This value can be managed using the DbEnv::set_mp_mmapsize() method.

The `DbEnv::get_mp_mmapsize()` method may be called at any time during the life of the application.

The `DbEnv::get_mp_mmapsize()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### mp_mmapsizep

The `DbEnv::get_mp_mmapsize()` method returns the maximum file map size in mp_mmapsizep.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods, DbEnv::set_mp_mmapsize()

Prev | Up | Next
DbEnv::get_mp_max_write() | Home | DbEnv::memp_fcreate()